#include "ROLAT_defs.h"
#include "stdlib.h"
#include "Enemies.c"
#include "string.h"

typedef struct {
	 unsigned char name[9];
	 void*sprite_data;
	 unsigned short magic;
	 unsigned char intelligence, hit, move_1, move_2, move_3;
	 unsigned short attack, defense;
	 unsigned int is_boss : 4;
	 unsigned int can_heal : 4;
	 unsigned int type : 4;
	 unsigned int orb_held : 4;
	 int width, height, gp, xp, hp, max_hp;
} enemy;
 
int ENEMY_SIZE = sizeof(enemy);
void CreateDynamicEnemy(enemy*p, int bestiary_num);

const enemy Bestiary[] = {
{"/0",(char*)0x00000000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
{"Nomekati\0",Nomekati,0,0,0,200,15,5,50,50,75,25,30,0,0,0,0,64,64}
}

 
void CreateDynamicEnemy(enemy*p, int bestiary_num) {
	 memcpy(p,&(Bestiary[bestiary_num]),ENEMY_SIZE);
}