#include "Enemies.c"
#include "bestiary.c"
#include "display_syscalls.h"
#include "ROLAT_defs.h"
#include "useful.c"

#define endof_render_exit 2

int battle_main(void);
int renderloop_bs(void);
void SetupEnemy(
);
int render_status = 0;

int Current_Opponents_nums[] = {0,0,0,0,0,0}
enemy Current_Opponents[6];

int battle_main() {
	Current_Opponents_nums[0] = 1;
	for (int i=0;i>=6;i++) {
		if (Current_Opponents_nums[i] != 0) {
			SetupEnemy(i);
		}
	}
	
	while ((render_status = renderloop_bs()) == clean_exit) {
		if (PRGM_GetKey() == KEY_PRGM_EXIT) {
			renderloop_bs = endof_render_exit;
		}
	}
	return (render_status == endof_render_exit) ? clean_exit : error_exit;
}

int renderloop_bs() {
	Bdisp_AllCr_VRAM();
	CopySpriteMasked(Current_Opponents[0].sprite_data, 20, 20, Current_Opponents[0].width, Current_Opponents[0].height, MASK_RED);
	Bdisp_PutDisp_DD();
	return clean_exit;
}

void SetupEnemy(Current_Opponent_index) {
	CreateDynamicEnemy(&(Current_Opponents[Current_Opponent_index]), Current_Opponents_nums[Current_Opponent_index]);
}

